RNAPLOT(1)

NAME
RNAplot - manual page for RNAplot 2.3.3

SYNOPSIS
RNAplot [OPTIONS]...

DESCRIPTION
RNAplot 2.3.3

Draw RNA Secondary Structures

The program reads RNA sequences and structures from stdin in the format as produced by RNAfold and produces drawings of the secondary structure graph. The coordinates are produced using either E. Bruccoleri's naview routines, or a simple radial layout method.

If the sequence was preceded by a line of the form

>name

the output file will be named "name_ss.ps" otherwise "rna.ps" is used. Existing files of the same name will be overwritten.

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-t, --layout-type=INT
    Choose the layout algorithm. Simple radial layout if 0, or naview if 1

    (default=`1')

-o, --output-format=ps|gml|xrna|svg
    Specify output format. Available formats are:

PostScript (ps), Graph Meta Language (gml),
    Scalable Vector Graphics (svg), and XRNA save file (xrna). Output filenames will end in ".ps" ".gml" ".svg" ".ss", respectively.

    (default=`ps')

--pre=string
    Add annotation macros to postscript file, and add the postscript code in "string" just before the code to draw the structure. This is an easy way to add annotation.

--post=string
    Same as --pre but in contrast to adding the annotation macros. E.g to mark position 15 with circle use --post "15 cmark"

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

AUTHOR
Ivo L Hofacker, Ronny Lorenz

REPORTING BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.